 /*
 * file      : src/main.c
 * project   : tnt
 * with      : Gtk-2
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TNT - INDIQUEZ ICI CE QUE FAIT LE PROGRAMME
 * GNU General Public License
 *
 * This file is part of TNT.
 *
 * TNT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * TNT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TNT.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __global_h__
#define __global_h__ 1

#ifdef ENABLE_NLS
	#include <libintl.h>
	#define gettext_noop(x) (x)
	#define _(String) gettext (String)
#endif

extern	GtkBuilder	*GtkBuilderProjet;
extern	GtkWidget	*WindMain;

#define GLADE_GET_OBJECT(OBJ) gtk_builder_get_object (GtkBuilderProjet, OBJ)

/*
*---------------------------------------------------------------------------
* DEBUG
*---------------------------------------------------------------------------
*/
#define PRINTINT(str,num)	g_print ("%s = %d\n", str, num)
#define PRINTBOOL(str,bool)	g_print ("%s = %s\n", str, bool == TRUE ? "TRUE" : "FALSE")
#define PRINT_FUNC_LF()		g_print ("%s :: %s (line = %d) \n", __FILE__, __FUNCTION__, __LINE__)
#define PRINT(str)		g_print ("%s :: %s(line = %d)\n	%s\n", __FILE__, __FUNCTION__, __LINE__, str)

// /usr/include/gtk-2.0/gdk/gdkkeysyms.h
typedef struct {
	gboolean	BoolGDKPress;		//
	gboolean	BoolGDK_Control_L_R;	//
	gboolean	BoolGDK_Control_A;	//
	gboolean	BoolGDK_Shift_L_R;	//
	gboolean	BoolGDK_Shift_L;	//
	gboolean	BoolGDK_Shift_R;	//
	guint		keyval;			//
} KEYS;


void	add_to_treeview( gboolean p_bool, gchar *p_str );

#endif

